summaryrefslogtreecommitdiffstats
path: root/bootstrap
diff options
context:
space:
mode:
authorasmadeus <asmadeus@19625182-23af-4830-9084-f181c60b83b7>2010-07-15 11:23:31 +0000
committerasmadeus <asmadeus@19625182-23af-4830-9084-f181c60b83b7>2010-07-15 11:23:31 +0000
commitac91d0993e7c818dc1e6c34005e57e7332698721 (patch)
tree72f7f0521a37d9bf850dd0237207b18e241fb118 /bootstrap
parent5946c16be77d2a87f5aab02261732adbb5c79d93 (diff)
quick fix for bootstrap and argument parsing (for bootstrap :p)
git-svn-id: https://svn.notk.org/bencoh/kvm-wrapper/@17 19625182-23af-4830-9084-f181c60b83b7
Diffstat (limited to 'bootstrap')
-rwxr-xr-xbootstrap/lenny/bootstrap.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/bootstrap/lenny/bootstrap.sh b/bootstrap/lenny/bootstrap.sh
index 2b89ebc..9f63def 100755
--- a/bootstrap/lenny/bootstrap.sh
+++ b/bootstrap/lenny/bootstrap.sh
@@ -52,6 +52,7 @@ function bs_copy_conf_dir()
function bootstrap_fs()
{
+ set +e
trap cleanup EXIT
MNTDIR="`mktemp -d`"
@@ -61,7 +62,7 @@ function bootstrap_fs()
local rootdev="/dev/hda"
- if [[ BOOTSTRAP_PARTITION_TYPE -eq "msdos" ]]; then
+ if [[ $BOOTSTRAP_PARTITION_TYPE == "msdos" ]]; then
sfdisk -H 255 -S 63 -uS --quiet --Linux "$DISKDEV" <<EOF
63,,L,*
EOF
@@ -158,6 +159,7 @@ EOF
cleanup
trap - EXIT
+ set -e
desc_update_setting "KVM_APPEND" "root=$rootdev ro"
}